import pyterpol

sg = pyterpol.SyntheticGrid()
prim = dict(teff=10700., logg=4.08,  z=1.0)
seco = dict(teff=10480., logg=4.01,  z=1.0)
tert = dict(teff=14190., logg=4.527, z=1.0)
wlim = [4000., 4600.]
vrots = [12.6, 14.3, 229.2]
names = ['Aa', 'Ab', 'Ba']

for vrot, comp, name in zip(vrots, [prim, seco, tert], names):
    c = sg.get_synthetic_spectrum(comp, wlim, order=4, step=0.01, padding=0.0)
    c.get_spectrum(vrot=vrot, keep=True)
    c.write_spectrum(filename=name + '.syn')


